Printago API
POST /v1/integrations/etsy/{integrationId}/sync-orders

Sync Etsy orders

Manually sync orders from Etsy

Requires: integration.manage

Path Parameters

integrationId required
string
The Etsy integration ID

Query Parameters

includeShipped required
string
Include shipped orders (for testing)
limit required
string
Number of orders to sync

Response Schema

Response
limitReachedrequired
boolean
ordersrequired
object[]
cancelledAtoptional
string
createdAtrequired
string
format: date-time
currencyoptional
string
customerIdoptional
string
deadlineoptional
string
externalIdoptional
string
externalUrloptional
string
idrequired
string
pattern: ^[a-z0-9]{24}$
integrationIdoptional
string
noteoptional
string
orderNumberrequired
string
priceoptional
number
priceBucketoptional
number
processedAtoptional
string
shippedAtoptional
string
sourceoptional
any
sourceRefoptional
string
statusrequired
any
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
syncDisabledrequired
boolean
updatedAtrequired
string
format: date-time
skippedrequired
number
statusSyncrequired
object
cancelledrequired
number
closedrequired
number
errorsrequired
string[]
totalAvailablerequired
number
totalSyncedrequired
number

Example Response

201 OK — application/json
{
  "statusSync": {
    "closed": 1,
    "cancelled": 1,
    "errors": [
      "string"
    ]
  },
  "orders": [
    {
      "orderNumber": "string",
      "syncDisabled": true,
      "id": "string",
      "storeId": "string",
      "createdAt": "2026-08-24T03:58:55.431Z",
      "updatedAt": "2026-08-24T03:58:55.431Z"
    }
  ],
  "totalSynced": 1,
  "totalAvailable": 1,
  "skipped": 1,
  "limitReached": true
}